^{*}

This article is an open access article distributed under the terms and conditions of the Creative Commons Attribution license (http://creativecommons.org/licenses/by/3.0/).

DOA (Direction of Arrival) estimation is a major problem in array signal processing applications. Recently, compressive sensing algorithms, including convex relaxation algorithms and greedy algorithms, have been recognized as a kind of novel DOA estimation algorithm. However, the success of these algorithms is limited by the RIP (Restricted Isometry Property) condition or the mutual coherence of measurement matrix. In the DOA estimation problem, the columns of measurement matrix are steering vectors corresponding to different DOAs. Thus, it violates the mutual coherence condition. The situation gets worse when there are two sources from two adjacent DOAs. In this paper, an algorithm based on OMP (Orthogonal Matching Pursuit), called ILS-OMP (Iterative Local Searching-Orthogonal Matching Pursuit), is proposed to improve DOA resolution by Iterative Local Searching. Firstly, the conventional OMP algorithm is used to obtain initial estimated DOAs. Then, in each iteration, a local searching process for every estimated DOA is utilized to find a new DOA in a given DOA set to further decrease the residual. Additionally, the estimated DOAs are updated by substituting the initial DOA with the new one. The simulation results demonstrate the advantages of the proposed algorithm.

The DOA (Direction of Arrival) estimation problem arises in many engineering applications, such as smart antennas, mobile communications, radio astronomy, sonar and navigation. There have been many high resolution DOA estimation algorithms; see [

In recent years, compressive sensing algorithms have been recognized as a kind of novel high resolution DOA estimation algorithm. They are mainly based on the sparse property of the spatial spectrum when there is only a limited number of point sources [

The representative compressive sensing algorithms include convex relaxation algorithms [

As stated before, in order to ensure the success of convex relaxation algorithms and greedy algorithms, many works in the literature have already proven that the measurement matrix has to meet the RIP (Restricted Isometry Property) condition [

In this paper, a new greedy algorithm in a compressive sensing framework is proposed to improve DOA estimation accuracy and resolution when there is only one snapshot. As with many other greedy algorithms, the proposed greedy algorithm is based on the OMP algorithm. The OMP algorithm is firstly used to obtain the initial estimated DOAs; then, an Iterative Local Searching process is utilized to improve DOA estimation accuracy. In each iteration, a local search is carried out for every DOA,

The reminder of the paper is organized as follows. The system model is presented in Section 2. The proposed algorithm is provided in Section 3. Section 4 demonstrates the performance and effectiveness of the provided algorithm. Section 5 concludes the paper.

Consider a uniform linear array (ULA) consisting of _{m}_{k}_{k}_{m}_{k}^{−j2π(m−1)sin(ϕk)} is the steering vector element according to the DOA, _{k}_{m}

Let:
^{T}

Then, the received signal of the array can be denoted in a matrix formulation as follows:

The snapshot vector can be obtained by sampling the received signal at discrete times:

The DOA estimation problem is to find the DOA, _{k}

Compressive sensing considers the problem of estimating the signal based on the measurements of the form,

One commonly used characterization of incoherence in the compressive sensing framework is in terms of the mutual coherence, _{.k}

The mutual coherence of

In order to utilize compressive sensing algorithms to solve the DOA estimation problem, the received signal model has to be transformed into a sparse representation, which fits the compressive sensing model. The key idea is to divide the total DOA space into a potential DOA set with a given grid spacing, e.g., Θ = {−90°,−89°, ⋯, 88°, 89°}, with grid spacing 1°. The grid spacing, 1°, is used in the following parts, if not stated otherwise. Thus, the steering matrix, _{k}

Then, the upper equation can be reformulated as:

The vector, s, denotes a new vector, which relates to the signal vector, s′, as follows:
_{n}_{n}

As the number of sources is far less than the size of the potential DOA set (

^{0}= y, Π

^{0}= ∅,

^{l}

^{H}r

^{l}

^{−1}; identify step: Π

^{l}

^{l-1}

_{j}

^{l}

_{2}}; update step:

^{l}

_{z:supp (z)⊆Πl}║y −

_{2};

^{l}

^{l}

^{K}

^{K}

As the DOA estimation problem has been transformed as a compressive sensing problem, the existing convex relaxation algorithms and greedy algorithms can be utilized to solve it. The representative convex relaxation algorithm is the BPDN (Basis Pursuit Denoising) algorithm [_{1} is the _{1} norm of vector s: ║s║_{1} = Σ_{i}_{i}

Another kind of compressive sensing algorithm is greedy algorithms. Compared with convex relaxation algorithms, greedy algorithms have obvious advantages in complexity. In all greedy algorithms, the most typical one is the OMP algorithm, where the main idea is to obtain a support element, in each iteration, by finding the maximum correlation between the residual and columns of the measurement matrix. As with many other greedy algorithms, the proposed algorithm is also based on the OMP algorithm. For the integrity of this paper, the DOA estimation based on the OMP algorithm is stated in a table called “Algorithm 1: The OMP (Orthogonal Matching Pursuit) algorithm”. Here, (*)^{H}

As stated before, the success of convex relaxation algorithms and greedy algorithms is limited by the mutual coherence of the measurement matrix. Here, it is apparent that the mutual coherence is greater than the desired limitation. Though there are some references that proposed several improved algorithms to account for this problem [

However, in the ideal case, it is noted that the DOAs can be accurately recovered by the following _{0}-norm optimization problem if

_{0} denotes the number of the nonzero entries of s. At the same time, it is easy to prove that _{0}-norm optimization problem can accurately recover the DOAs in the ideal case. Though the _{0}-norm optimization problem is an NP-hard problem, it tells us that there is still space to improve the DOA estimation accuracy, which motivates the proposed algorithm.

The main idea of the DOA estimation based on the OMP algorithm is to obtain a DOA, in each iteration, by finding the maximum correlation between the residual and steering vectors according to different DOAs, which are not included in the estimated DOA set. The sparse vector will be re-estimated based on the updated DOAs by utilizing the LS algorithm. The residual will also be recomputed by subtracting the contributions of the estimated sources from the updated DOAs. The total number of iterations is the number of sources, e.g.,

In the array signal processing community, it is well known that the classic DAS (Delay-And-Summation) algorithm estimates the DOAs by searching the peaks of all correlations between the received signal and all possible steering vectors according to different DOAs. Therefore, in each iteration, the OMP algorithm is very similar to the conventional DAS algorithm. The difference is that the OMP algorithm only finds the maximum peak in each iteration, and the DAS algorithm finds all peaks at once. There have been many works in the literature about DOA resolution of the DAS Algorithm [

Though some improved algorithms have been proposed based on the OMP algorithm, many references show that almost all algorithms are still limited by the mutual coherence of the measurement matrix. One typical improved algorithm is the CoSaMP algorithm [

However, the theoretical result of the _{0}-norm optimization problem tells us that the DOAs with small difference still can be distinguished, at least for the ideal case. Through searching all possible DOA groups, the DOAs can be accurately recovered, even when the DOA difference is far less than the Rayleigh limit. However, the complexity of exhaustive searching is exponential in

As with many DOA estimation papers [^{p}^{−1} is the support set estimated in the (

So far, the remaining problem to be solved is how to set the searching range,

According to the complexity, as the local searching is limited in a small searching range, the complexity will not be greatly increased by the local searching process. At the same time, in most cases, the simulations show that the support elements will not change after only several iterations. Therefore, the complexity of the proposed algorithm is slightly higher than the OMP algorithm.

^{0}= y, Π

^{0}= ∅,

^{l}

^{H}

^{l}

^{−1}; identify step: Π

^{l}

^{l}

^{−1}∪ {arg max

_{j}

^{l}

_{2}}; update step:

^{l}

_{z:supp(z)⊆Πl ║y − Az║2};

^{l}

^{l}

^{K}

^{K}

^{0}= Π

^{K}

^{p}

^{p}

^{−1};

^{p}

^{p}

^{−1};

^{p}

^{p}

_{z:supp(z)=Λp}║

_{2};

^{p}

As an extreme case, the proposed algorithm estimates the DOAs by utilizing only one snapshot. However, when there is more than one snapshot, the proposed algorithm is still effective, where the OMP algorithm will be replaced with the OMP algorithm for multiple measurement vectors [

In this section, several numerical simulation results are presented to illustrate the performance of the proposed algorithm. Unless stated otherwise, a uniform linear array is assumed, and the number of array elements is ^{2}, where ^{2} is the covariance of the noise.

As only one snapshot is assumed, many conventional DOA estimation algorithms based on some statistical properties are not applicable. Therefore, the proposed algorithm is only compared with one typical greedy algorithm and one typical convex relaxation algorithm, e.g., the OMP algorithm and the BPDN algorithm. For the proposed algorithm, the maximum number of iterations is set as 10, e.g.,

In the first simulation, the proposed algorithm is evaluated in an ideal case, where five sources are included. The power of sources and noise is set as 10

In the noise case, the proposed algorithm is compared with the OMP algorithm in terms of RMSE (Root Mean Square Error). Here, all DOAs are set to be the same as that in

In order to evaluate the DOA resolution of the proposed algorithm, ^{◦}, 4^{◦}, 8^{◦}, 54^{◦}}, where the minimal DOA difference (e.g., 4^{◦}) is far less than the Rayleigh limit. The power of the sources and noise are set as 10

The same conditions are adopted in the next simulation, except the

In the following two simulations, the grid spacing is reduced to 0.1°, which is far less than that of all the above simulations. Thus, the mutual coherence is

All previous simulations assume that all DOAs are exactly located on the DOA grids. However, as with many other algorithms, the performance of the proposed algorithm will degrade if it is not true [^{◦}, −5.7^{◦}, −1.7^{◦}, 29.3^{◦}}, and the grid spacing is 1^{◦}. Thus, all DOAs are not exactly located on the grids. Additionally, the four sources are assumed to have different power, as 10

This paper proposes a new DOA estimation algorithm to improve DOA resolution based on a classical greedy compressive sensing algorithm, e.g., the OMP algorithm. Firstly, the DOA estimation problem is transformed as a standard compressive sensing problem. As with the strong coherence between the steering vectors, the success of compressive sensing algorithms, including convex relaxation algorithms and greedy algorithms, is limited by the mutual coherence of the measurement matrix. However, the theoretical result of the _{0}-norm optimization problem tells us that the DOAs can be accurately estimated, at least in the ideal case. Then, an OMP-based algorithm is proposed to improve high resolution by Iterative Local Searching. The initial values are obtained by the OMP algorithm. In each iteration, a local search for every estimated DOA is utilized to improve estimation performance. The simulation results show that the proposed algorithm has better performance than other algorithms. Specifically, in the ideal case, the proposed algorithm can accurately estimate the DOAs, even if their DOA difference is far less than the Rayleigh limit. When there is noise, the proposed algorithm still performs better than other algorithms.

This work was supported by the National Natural Science Foundation of China (No.61179064, 61172112, 61271404), Fundamental Research Funds for Central Universities (No.ZXH2010D012, ZXH2009A003, ZXH2012M006) and the National Science Foundation of Tianjin Municipality (No.10ZCKFGX04000).

The authors declare no conflict of interest.

The performance comparison in the ideal case. Five sources are assumed from the Directions of Arrival (DOAs), {−66^{◦}, −41^{◦}, −16^{◦},9^{◦}, 34^{◦}}. The power of the sources and noise is 10

Root mean square error as a function of the signal-to-noise ratio (^{◦}, −41^{◦}, −16^{◦}, −9^{◦}, −34^{◦}}. The number of array elements is

The performance comparison in the ideal case. Four sources are assumed from the DOAs: {−36^{◦}, 4^{◦}, 8^{◦}, 54^{◦}}. The power of the sources and noise is 10^{◦}.

Root mean square error as a function of ^{◦},4^{◦},8^{◦}, 54^{◦}}. The minimal DOA difference is 4^{◦}. The curves were obtained by averaging the results of 100 independent simulation runs.

The performance comparison in the ideal case. Four sources are assumed from the DOAs: {−36.1^{◦}, 4.1^{◦}, 8.1^{◦}, 54.1^{◦}}. The power of the sources and noise is 10 ^{◦}, and the grid spacing is 0.1^{◦}.

Root mean square error as a function of ^{◦}, 4.1^{◦}, 8.1^{◦}, 54.1^{◦}}. The minimal DOA difference is 4^{◦}, and the grid spacing is 0.1^{◦}. The curves were obtained by averaging the results of 100 independent simulation runs.

The performance comparison in the ideal case. Four sources are assumed from the DOAs {−25.7^{◦}, −5.7^{◦}, −1.7^{◦}, 29.3^{◦}}. Four sources have different power, as 10 ^{◦}, and the grid spacing is 1^{◦}. The number of array elements is

Root mean square error as a function of ^{◦}, −5.7^{◦}, −1.7^{◦}, 29.3^{◦}}. The minimal DOA difference is 4^{◦}, and the grid spacing is 1^{◦}. The number of array elements is